%global         sympowdir                %{_libdir}/%{name}

Name:           sympow
Version:        1.019
Release:        12%{?dist}
Summary:        Special Values of Symmetric Power Elliptic Curve L-Functions
Group:          Applications/Engineering
License:        BSD
URL:            http://www.maths.bris.ac.uk/~mamjw/
Source0:        http://www.maths.bris.ac.uk/~mamjw/sympow.tar.bz2
Source1:        sympow-README.Fedora
Patch0:         sympow-1.019-datafiles.patch
BuildRequires:  pari-gp


%description
SYMPOW is a program for computing special values of symmetric power
elliptic curve L-functions.


%prep
%setup -q -n SYMPOW-%{version}
cp %{SOURCE1} README.Fedora
%patch0 -p1

sed \
    -e 's|"new_data"|"%{sympowdir}/new_data"|' \
    -e 's|\(standard.\.gp\)|%{sympowdir}/\1|g' \
    -i generate.c

%build
export CFLAGS="%{optflags}"
sh Configure
make %{?_smp_mflags}


%install
mkdir -p $RPM_BUILD_ROOT%{sympowdir}/datafiles
# executables
install -m 755 %{name} $RPM_BUILD_ROOT%{sympowdir}/
install -m 755 new_data $RPM_BUILD_ROOT%{sympowdir}/
# datafiles
install -m 644 datafiles/* $RPM_BUILD_ROOT%{sympowdir}/datafiles/
# more datafiles
install -m 644 *.gp $RPM_BUILD_ROOT%{sympowdir}/

# launcher script
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cat > $RPM_BUILD_ROOT%{_bindir}/%{name} << EOF
#!/bin/sh

SYMPOW_DATA=%{sympowdir}/datafiles
if test -n "\$SYMPOW_DIR"; then
    if [ ! -d \$SYMPOW_DIR/datafiles ]; then
	mkdir -p \$SYMPOW_DIR/datafiles
	cp -far \$SYMPOW_DATA/*.txt \$SYMPOW_DATA/param_data \$SYMPOW_DIR/datafiles
    fi
    cd \$SYMPOW_DIR
else
    cd %{sympowdir}
fi

exec %{sympowdir}/%{name} "\$@"
EOF
chmod +x $RPM_BUILD_ROOT%{_bindir}/%{name}

%files
%doc README COPYING README.Fedora
%{_bindir}/%{name}
%{_libdir}/%{name}


%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.019-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.019-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.019-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.019-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.019-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.019-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 11 2012 pcpa <paulo.cesar.pereira.de.andrade@gmail.com> - 1.019-6
- Remove BuildRoot, %%clean and %%defattr.
- Add my Mandriva patch to create .bin files otherwise sympow will
  just crash on actual usage.
- Remove sympow-launcher and create it dynamically in spec.
- The new sympow launcher also checks for the SYMPOW_DATA environment
  variable and copies data there if empty. This is required because
  data files may be changed or new ones created by users.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.019-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.019-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.019-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Dec 14 2008 Conrad Meyer <konrad@tylerc.org> - 1.019-2
- Make launcher-script multilibs-safe.

* Sun Dec 14 2008 Conrad Meyer <konrad@tylerc.org> - 1.019-1
- Initial package.
